/*
 * Style tweaks
 * --------------------------------------------------
 */
html {
  height: 100%;
}
body {
  overflow-x: hidden; /* Prevent scroll on narrow devices */
  height: 100%;
}

#main-nav {
  opacity: 0;
  animation: fadein 3000ms;
  -webkit-animation: fadein 3000ms;
  -moz-animation: fadein 3000ms;
  -ms-animation: fadein 3000ms;
  -o-animation: fadein 3000ms;
  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
  background-color: #fff;
  border-bottom: 2px solid #e5e5e5;
  -webkit-transition: all 300ms ease-out;
       -o-transition: all 300ms ease-out;
          transition: all 300ms ease-out;
}
@keyframes fadein {
  from { opacity: 0;}
  to {opacity: 1;}
}
#main-nav.white-bg {
  -webkit-box-shadow: 0 0 2px 0 #f4f4f4;
  -moz-box-shadow: 0 0px 2px 0 #f4f4f4;
  box-shadow: 0 0 2px 0 #f4f4f4;
  -webkit-transition: all 300ms ease-out;
       -o-transition: all 300ms ease-out;
          transition: all 300ms ease-out;
}
#main-nav a {
  font-size: 14px;
}
.row-offcanvas a {
  font-size: 16px;
  cursor: pointer;
}
.active .sidebar-offcanvas {
  position: fixed;
  overflow-y: auto;
  background: transparent;
  padding-left: 0;
  padding-right: 0;
}

.sidebar-offcanvas .flex-col {
  position: absolute;
  height: 100%;
  -webkit-transition: all 300ms ease-out;
       -o-transition: all 300ms ease-out;
          transition: all 300ms ease-out;
  padding: 0;
}
.sidebar-offcanvas .flex-col .flex-col {
  padding: 0 30px;
}
.sidebar-offcanvas .flex-col .list-group {
  padding-top: 63px;
}
#main-nav .hamburger {
    display: none;
}
#main-nav,
.sidebar-offcanvas .container-fluid {
  padding-left: 45px;
  padding-right: 45px;
  width: 100%;
  height: 60px;
  display: flex;
}
.active .sidebar-offcanvas .container-fluid {
  position: absolute;
  z-index: 1032;
  top: 0;
  display: flex;
  padding-left: 38px;
}
.active:not(.row-offcanvas-right) .sidebar-offcanvas .container-fluid {
  left: 0;
  padding-left: 43px;
}
#main-nav .logo-container {
  margin-top: 0;
  overflow: initial;
  position: absolute;
  left: calc(50% - 45px);
  top: 18px;
}
#main-nav .request-wrapper {
  width: 200px;
  line-height: 60px;
  font-size: 14px;
}
.active .sidebar-offcanvas .logo-container {
  margin-left: 5px;
}
.active.row-offcanvas-right .sidebar-offcanvas .container-fluid {
  justify-content: flex-end;
}
.nav-container {
  width: 100%;
  justify-content: flex-end;
}
.nav-container .nav .dropdown {
  position: relative;
  line-height: 44px;
  padding-right: 40px;
  padding-left: 0;
}
.nav-container .nav .dropdown .nav-link {
  cursor: pointer;
  line-height: 44px;
  font-size: 14px !important;
}
.nav-container .nav .dropdown .nav-link:hover{
  color: rgba(0, 159, 255, 1); /*azure blue*/
  border-bottom: 2px solid rgba(41, 171, 226, 1);
  z-index: 5;
  position: relative;
}
.nav-container .nav .dropdown .dropdown-menu {
  display: none;
  position: absolute;
  top: 57px;
  left: -45px;
  background-color: #fff;
  border-bottom: 2px solid #e5e5e5;
  border-radius: 1px;
  width: 100vw;
  opacity: 0;
  animation: fadein 500ms;
  -webkit-animation: fadein 500ms;
  -moz-animation: fadein 500ms;
  -ms-animation: fadein 500ms;
  -o-animation: fadein 500ms;
  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
}
.nav-container  .nav .dropdown:hover .dropdown-menu {
  display: flex;
  padding-top: 20px;
  padding-bottom: 40px;
  justify-content: center;
  opacity: 1;
  z-index: 1;
}
.nav-container  .nav .dropdown:hover .dropdown-menu li a {
  font-size: 16px !important;
}
.nav-container .nav .dropdown:hover .communities-menu {
  display: flex;
  position: absolute;
  left: -191px;
  justify-content: center;
}
.nav-container .nav .dropdown:hover .story-menu {
  left: -362px;
}
.nav-container .nav .dropdown:hover .communities-menu .communities-item {
  padding: 20px 30px;
}
.nav-container .nav .dropdown:hover .communities-menu .communities-item .communities-title {
  color: rgba(173, 173, 173, 1);
  font-size: 16px;
}
.nav-container  .nav .dropdown:hover .dropdown-menu li {
  padding: 0 35px;
  cursor: pointer;
  letter-spacing: 0.006em;
}
.nav-container .nav .dropdown:hover .communities-menu li {
  line-height: 24px;
  padding: 3px 0px;
}
.nav-container  .nav .dropdown:hover .dropdown-menu li:hover {
  color: rgba(0, 159, 255, 1); /*azure blue*/
}
.nav-container  .nav .dropdown:hover .dropdown-menu li a{
  color: rgba(0, 0, 0, 1);
  line-height: 80px;
  display: block;
}
.nav-container .nav .dropdown:hover .communities-menu .communities-item li a {
  line-height: inherit;
}
.nav-container  .nav .dropdown:hover .dropdown-menu li a:hover{
  color: rgba(0, 159, 255, 1); /*azure blue*/
}
.sidebar-offcanvas-container {
  height: 0;
  width: 0;
  overflow: hidden;
}
.logo {
  max-height: 20px;
}
.hamburger {
  display: inline-block;
  margin: 0;
  padding-top: 20px;
  height: 40px;
  width: 40px;
  background: transparent;
  line-height: 23px;
  font-size: 14px;
  cursor: pointer;
}
.navbar-nav .nav-link.black-text {
  color: #000;
}
.navbar-nav .nav-link.white-text {
  color: #fff;
}

.hamburger .hamburger-bun-black,
.hamburger .hamburger-patty-black {
  display: block;
  width: 20px;
  height: 3px;
  margin: 0 auto 5px;
}

.hamburger .hamburger-bun-black,
.hamburger .hamburger-patty-black {
  background: #000;
}
.sidebar-offcanvas a {
  text-decoration: none;
  color: #000;
  cursor: pointer;
}
.sidebar-offcanvas a:focus {
  color: #838383;
}
.list-group-item {
  border-radius: 0;
  border: none !important;
}
.left-arrow {
  text-indent: 30px;
}
@-moz-document url-prefix() {
  .left-arrow:before {
    left: -8px;
    border-right: 12px solid #009fff;
  }
  .left-arrow:after {
    left: -10px;
    border-right: 12px solid #fff;
  }
  .right-arrow:before {
    right: 18px;
    border-left: 12px solid #009fff;
  }
  .right-arrow:after {
    right: 21px;
    border-left: 12px solid #fff;
  }
  .left-arrow {
    text-indent: 35px;
  }
}
.left-arrow:before,
.left-arrow:after,
.right-arrow:before,
.right-arrow:after {
  content: "";
  position: absolute;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  top: 14px;
}
.left-arrow:before {
  left: 18px;
  border-right: 12px solid #009fff;
}
.left-arrow:after {
  left: 21px;
  border-right: 12px solid #fff;
}
.right-arrow:before {
  right: 18px;
  border-left: 12px solid #009fff;
}
.right-arrow:after {
  right: 21px;
  border-left: 12px solid #fff;
}
.sidebar-offcanvas a.active,
.sidebar-offcanvas a.active:hover,
.sidebar-offcanvas a.active:focus {
  background: none;
  color: #009fff;
}
.row-offcanvas.active .sidebar-open {
  width: 100%;
  right: 0;
  top: 0;
  position: absolute;
  height: 100%;
  padding: 0;
}
.mobile-footer {
  display: none;
  width: 320px;
}
.footer-container {
  display: flex;
}
.footer-container .footer-wrapper {
  flex: 1;
}
.footer-container .footer-wrapper .footer-col-title span,
footer .footer-col-title span{
  color: rgba(34, 34, 34, 1);
  letter-spacing: 0.08em;
  font-size: 12px;
}
.footer-container .communities {
  flex: 2;
  margin: 0 0 0 2.5em;
}
.footer-container .footer-wrapper .footer-communities-wrapper {
  display: flex;
}
.footer-container .footer-wrapper .footer-communities-wrapper  .footer-communities-item {
  flex: 1;
}
.footer-container .footer-wrapper .footer-communities-wrapper  .footer-communities-item li span,
footer .social-container h6 {
  font-size: 12px;
  line-height: 20px;
}
@media (max-width: 991px) {
  .navbar-nav .nav-item + .nav-item {
    margin-left: 0.5rem;
  }

  #main-nav .hamburger {
    display: block;
    position: absolute;
    right: 40px;
  }

  #main-nav .hamburger .hamburger-bun--top {
    transition: all 300ms ease-in-out;
    position: relative;
    transform: rotate(-180deg);
  }

  #main-nav .hamburger.active .hamburger-bun--top {
    transition: all 300ms ease-in-out;
    position: relative;
    top: 10px;
    transform: rotate(225deg);
  }

  #main-nav .hamburger.active .hamburger-patty-black {
    opacity: 0;
  }

  #main-nav .hamburger.active .hamburger-bun--btm {
    transition: all 300ms ease-in-out;
    position: relative;
    top: -6px;
    transform: rotate(135deg);
  }

  #main-nav .hamburger .hamburger-patty-black {
    opacity: 1;
    transition: all 400ms ease-in-out;
  }

  #main-nav .hamburger .hamburger-bun--btm {
    transition: all 300ms ease-in-out;
    position: relative;
    transform: rotate(-180deg);
  }

  .mobile-menu-container {
    width: 100%;
    position: absolute;
    top: 60px;
    left: 0;
    background: #fff;
    max-height: calc(100vh - 50px);
    overflow-y: auto;
    border-bottom: 1px solid #f6f6f6;
  }

  .mobile-menu-container .mobile-menu-title {
    line-height: 44px;
    font-size: 14px;
    padding-left: 20px;
    position: relative;
    cursor: pointer;
    letter-spacing: 0.08em;
    border-bottom: 1px solid #f6f6f6;
  }

  .mobile-menu-container .mobile-menu-title i {
    border: solid #009fff;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    position: absolute;
    top: 17px;
    right: 58px;
  }

  #mobile-our-communities li {
    position: relative;
  }

  #mobile-our-communities i {
    border: solid #808080;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    position: absolute;
    top: 18px;
    right: 60px;
  }
  #mobile-our-communities .collapsed {
    cursor: pointer;
  }

  .collapsed .gray-arrow-right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }

  .gray-arrow-right {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  #mobile-nav-public-safety, #mobile-nav-Iot, #mobile-nav-non-profit, #mobile-nav-enterprise {
    padding-left: 0;
  }

  .mobile-menu-container ul {
    list-style: none;
  }

  .mobile-menu-container ul li {
    line-height: 44px;
  }

  #mobile-menu ul li a, #mobile-menu ul li span {
    color: #808080;
    font-size: 14px;
  }

  .mobile-menu-container .mobile-request-wrapper {
    padding-left: 20px;
    line-height: 44px;
  }

  .footer-container .footer-wrapper .footer-communities-wrapper {
    display: block;
  }

  .mobile-footer {
    display: block;
    position: relative;
  }

  .mobile-footer ul {
    list-style: none;
  }

  .mobile-footer .mobile-title {
    line-height: 44px;
    font-size: 14px;
    cursor: pointer;
    position: relative;
    border-top: 1px solid #f6f6f6;
  }

  .mobile-footer .mobile-title:nth-last-child(2) {
    border-bottom: 1px solid #f6f6f6;
  }

  .mobile-footer .mobile-title span {
    font-size: 12px;
  }

  .mobile-footer .non-communities i {
    border: solid #009fff;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    position: absolute;
    top: 16px;
    right: 12px;
  }

  #mobile-products li a,
  #mobile-communities li a,
  #mobile-ourstory li a,
  #mobile-contactus li a {
    font-size: 14px;
  }

  .collapsed .arrow-right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }

  .arrow-right {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

  #mobile-communities .mobile-communities-item {
    position: relative;
    border-top: 1px solid #f6f6f6;
    cursor: pointer;
  }

  #mobile-communities .mobile-communities-item span {
    font-size: 14px;
    letter-spacing: 0.0357em;
    line-height: 20px;
    color: #808080;
  }

  #mobile-communities i {
    border: solid #808080;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    position: absolute;
    right: 13px;
    top: 18px;
  }

  .mobile-footer ul li {
    line-height: 44px;
    padding-left: 20px;
  }

  .social-container {
    margin-top: 50px;
    text-align: center;
  }

  .social-container .azure-text {
    text-align: center;
    line-height: 40px;
  }

  .social-media {
    margin: 0 auto;
  }
}

@media (max-width: 575px) {
  .sidebar-offcanvas .col-xs-12 {
    overflow-y: auto;
  }
}
/* for April 2018 new landing */
.landing-container {
  background: #fff;
  min-height: 600px;
  padding: 120px 0 0 0;
}
.landing-container .landing-title {
  font-size: 44px;
  line-height: 56px;
  text-align: center;
  max-width: 662px;
  margin: 0 auto;
  animation: slideDownText;
  -webkit-animation: slideDownText 3000ms;
  -moz-animation: slideDownText 3000ms;
  -o-animation: slideDownText 3000ms;
  transition: all 3000ms ease-out forwards;
  -webkit-transition:  all 3000ms ease-out forwards;
  -o-transition: all 3000ms ease-out forwards;
}
@keyframes slideDownText {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
@-webkit-keyframes slideDownText {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
@-moz-keyframes slideDownText {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
.landing-container .features-container {
  /*background-image: url("../img/landing/landing_background.svg");*/
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  height: 379px;
  display: flex;
  margin: 50px 0 120px 0;
}
.landing-container .features-container .features-wrapper {
  margin: 0 auto;
  display: flex;
  padding: 15px 0;
}
.landing-container .features-container .features-wrapper .feature-button-wrapper {
  text-align: center;
}
.landing-container .features-container .api-feature-container {
  margin-right: 100px;
}
.landing-container .features-container .vertical-line {
  border-right: 2px solid #e6e6e6;
  height: 420px;
  margin-top: -20px;
}
.landing-container .features-container .ng911-feature-container {
  margin-left: 100px;
}
.landing-container .features-container .feature-image-wrapper {
  background-repeat: no-repeat;
  background-size: 100%;
  width: 400px;
  height: 400px;
  margin: 0 auto;
}
.landing-container .features-container .api-feature {
  /*background-image: url("../img/landing/iot.svg");*/
}
.landing-container .features-container .ng911-feature {
  /*background-image: url("../img/landing/ng911.svg");*/
}
.landing-container .features-container .feature-title {
  width: 400px;
  font-size: 28px;
  line-height: 34px;
  text-align: center;
  margin: 20px 0;
  animation: slideUpDiv 3000ms;
  -webkit-animation: slideUpDiv 3000ms;
  -moz-animation: slideUpDiv 3000ms;
  -o-animation: slideUpDiv 3000ms;
  transition: all 3000ms ease-out forwards;
  -webkit-transition:  all 3000ms ease-out forwards;
  -o-transition: all 3000ms ease-out forwards;
  transition-delay: 2000ms;
}
.landing-container .features-container .feature-button {
  font-size: 14px;
  text-align: center;
  letter-spacing: 0.08em;
  text-transform: uppercase;
  cursor: pointer;
  margin: 0 auto;
  margin-top: 20px;
}
.landing-container .features-container .api-feature-container .api-feature-button {
  width: 300px;
  font-weight: 700;
  color: #29ABE2;
  border-bottom: 2px solid #29ABE2;
  animation: slideUpDiv 3000ms;
  -webkit-animation: slideUpDiv 3000ms;
  -moz-animation: slideUpDiv 3000ms;
  -o-animation: slideUpDiv 3000ms;
  transition: 3000ms ease-out forwards;
  -webkit-transition: 3000ms ease-out forwards;
  -o-transition: 3000ms ease-out forwards;
}
.landing-container .features-container .api-feature-container .api-feature-button:hover {
  border-bottom-color: #B6B6B6;
  color: #B6B6B6;
}
.landing-container .features-container .ng911-feature-container .ng911-feature-button {
  width: 300px;
  color:  #FF3759;
  border-bottom: 2px solid #FF3759;
  font-weight: 700;
  animation: slideUpDiv 5000ms;
  -webkit-animation: slideUpDiv 5000ms;
  -moz-animation: slideUpDiv 5000ms;
  -o-animation: slideUpDiv 5000ms;
   transition: 5000ms ease-out forwards;
  -webkit-transition: 5000ms ease-out forwards;
  -o-transition: 5000ms ease-out forwards;
}
.landing-container .features-container .ng911-feature-container .ng911-feature-button:hover {
  border-bottom-color: #B6B6B6;
  color: #B6B6B6;
}
@keyframes slideUpDiv {
  0%{
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
@-webkit-keyframes slideUpDiv {
  0%{
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
@-moz-keyframes slideUpDiv {
  0%{
    opacity: 0;
    transform: translateY(100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0%);
  }
}
@media (max-width: 991px) {
  .landing-container {
    min-height: 770px;
    padding: 40px 0;
  }
  .landing-container .landing-title {
    font-size: 28px;
    line-height: 34px;
    width: 290px;
  }
  .landing-container .features-container {
    background-image: none;
    margin-top: 0;
  }
  .landing-container .features-container .feature-button {
    height: 30px;
  }
  .landing-container .features-container .feature-image-wrapper {
    width: 168px;
    height: 168px;
  }
  .landing-container .features-container .features-wrapper {
    display: block
  }
  .landing-container .features-container .feature-title {
    font-size: 20px;
    line-height: 28px;
    width: 230px;
    margin: 0 auto;
    margin-top: 10px;
  }
  .landing-container .features-container .api-feature-container {
    margin-right: 0;
  }
  .landing-container .features-container .vertical-line {
    display: none;
  }
  .landing-container .features-container .ng911-feature-container {
    margin-left: 0;
    margin-top: 20px;
  }
  .landing-container .features-container .api-feature-container .api-feature-button,
  .landing-container .features-container .ng911-feature-container .ng911-feature-button {
    font-size: 12px;
  }
}
